
export function setSortMsg (name) {
  const sortMap = {
    '国内出港': ['有预配载，无机下交接、装机、关闭舱门数据。', '有预配载，有加货数据，无安检节点数据。或者，有预配载，有机下交接数据、装机、关闭舱门的其中一项，无交接复核数据。', '有预配载，交接复核时间大于机下交接时间。', '有预配载，机下交接时间等于装机完成时间。'],
    '国内进港': ['/', '有理货，无卸机、库区到达、货站交接的其中一项。', '有理货，卸机时间大于库区到达时间。', '有理货，卸机时间等于库区到达时间。'],
    '国际出港': ['有实配，无机下交接、装机、关闭舱门数据。', '有实配和机下交接数据，无交接复核数据。', '有实配，交接复核时间大于机下交接时间', '有实配，机下交接时间等于装机完成时间'],
    '国际进港': ['/', '有有理货，无卸机、货站交接的其中一项。', '/', '有理货，卸机完成时间等于货站交接时间。']
  }
  return sortMap[name]
}

export function setMapKeys (data, id, returnData, name) {
  const catchMap = {
    k1: _.assign(data[0], { fttp: id }),
    k2: returnData
  }
  sessionStorage.setItem(name, JSON.stringify(catchMap))
}

export function getMapKeys (name) {
  const catchMap = sessionStorage.getItem(name)
  if (catchMap) {
    const newCatchMap = JSON.parse(catchMap)
    return newCatchMap
  }
  return {}
}